\section{Introduction}
\label{sec:intro}

% Structure:
% 1. 20 years ago Raymond published an essay hacking a development model based on his
% observations of the kernel Linux project and lessons learned on the development of your personal project. From this seminal essay disseminate the term open-source
% and attract companies for the free software development.

In 1997, Eric Raymond published ``The Cathedral and The Bazaar''\cite{Raymond1999},
an essay describing two antagonistic development model based on his
observations of the kernel Linux project and lessons learned during the
development of his project. This seminal essay aimed to disseminate an
apolitical and unbiased term to define the development model of free software
projects, the term \textit{open-source}. A new wave inside the free software
communities emerged and brought along with it, the interest of large companies
on the benefits of the open-source phenomenon has increased.

FLOSS processes can produce high quality and widely deployed software, however,
the exact means responsible for the success, are frequently debate\cite{mockus2002}.
The participation of companies in a free/libre and open source software (FLOSS)
project has also caused changes in its community and its process of
development. FLOSS phenomenon lost several free software characteristics and
became more conventional and commercially viable\cite{Fitzgerald2006}. The
increase of companies participating in FLOSS projects and also contributions
made by employees paid to develop to these projects turned FLOSS a public
product produced by private initiative\cite{Crowston2012}.

The popularity of FLOSS phenomenon and its bazaar-like model of development is
also noticeable in software engineering academic studies. Each year, many
studies related to FLOSS are published on renowned digital libraries. However,
although the apparent consonance between industry and academia on the growth
absorption of FLOSS practices in the process of software development, some
studies reveal a lack of comprehension of the FLOSS phenomenon, demonstrating
the existence of a homogeneous and biased point of view\cite{osterlie2007}. In
this way, many software engineering studies have ignored the FLOSS
transformation and the diversity inside and between projects after two decades
since ``The Cathedral and The Bazaar''.

Moreover, the Linux project\footnote{\url{https://git.kernel.org/pub/scm/linux/kernel/git/torvalds/linux.git}}
itself no longer resembles the bazaar-like model inspired by it. Currently, it is managed by a dictatorship where its review process
has average two reviewers, and also 44\% of patches sent to Linux are ignored
and never merged to the code\cite{Rigby2014}, probably contradicting the Linus'
Law defined by Raymond: ``Given enough eyeballs, all bugs are shallow.'' Closer
to the cathedral definition, a core group of developers takes most of the
reviews. They are also exclusively responsible for approving code changes,
which are passed by a chain-of-trust to Linus Torvalds official repository.

Considering the possible changes in the FLOSS development model\cite{Scacchi2006}, the goal of this
research comprises: bringing industry and academia to the same level of
comprehension about the similarity of Linux development with commons FLOSS
characteristics, as well as, describe the current development process
attributes of Linux project in light of its central role on FLOSS phenomenon.

To fill comprehension gaps between industry and academia, I am conducting
three scopes of reviews. First, an exploratory analysis of literature reviews
about FLOSS development to build the bases of acknowledges about FLOSS
ecosystems investigations. Second, a grey literature systematic review to find
the state-of-practice of the Linux development process and its convergence with
bazar model, i.e., the open-source paradigm\cite{Sanders1998}. Finally, a systematic compared review between grey and
formal literature to match the state-of-practice with the state-of-art, mapping
their congruences and incongruities.

Afterward, I will match the attributes found in the previous phase with those
currently established in the Linux development process. For this, other researchers of the FLOSS Competence Center of USP and I are developing a platform to
miner FLOSS means of interactions (i.e., mailing list, IRC channels, issue
tracker, and git repository). This platform will enable to collect and analyze
a large amount of qualitative and quantitative development and community data
over the Linux project years. Besides, we are designing an experimental research
method based on action-research techniques to cross-validate all findings
according to the kernel Linux project perspective.

The remainder of this paper is organized as follows. Section\ref{sec:related}
relates previous investigations about the FLOSS development process,
development models and FLOSS ecosystems. Section\ref{sec:researchdesign}
describes the research questions and the research methods planned. The stage
of this study is explained in Section\ref{sec:stage}. Finally,
Section\ref{sec:conclusion} discusses contributions expected and concludes this
paper.
